@import url('https://fonts.googleapis.com/css2?family=Nunito+Sans&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Oxygen&display=swap');

body {
    background: #fff;
    font-family: 'Nunito', sans-serif;
}

.main {
    display: flex;
    flex-direction: column;
    height: 100%;
    padding: 25px;
    box-sizing: border-box;
    overflow: hidden;
}

.header {
    display: flex;
    justify-content: space-between;
    margin-bottom: 20px;
}

.header > div:first-child {
    font-weight: bold;
}

.header_login {
    cursor: pointer;
    user-select: none;
}

.header_user {
    display: flex;
    flex-direction: row;
    align-items: center;
}

.header_user > div:first-child {
    margin-right: 10px;
}

.content {
    display: flex;
    flex: 1 1 auto;
    flex-direction: column;
    row-gap: 30px;
    overflow: hidden;
}

.menu {
    display: flex;
    column-gap: 30px;
}

.menu > div {
    cursor: pointer;
    user-select: none;
}

.menu > .selected {
    font-weight: bold;
}

.content_title {
    margin-top: 0px;
}

.start {
    display: flex;
    flex: 1 1 auto;
}

.start > div {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    flex: 1 1 auto;
    row-gap: 40px;
}

.start_info {
    display: flex;
    flex-direction: column;
    font-size: 22px;
    text-align: center;
}

.start_info > h3 {
    margin: 10px 0px;
}

.start_info > div {
    max-width: 550px;
    font-size: 14px;
}

.start_options {
    display: flex;
    flex-direction: column;
    align-items: center;
}

.start_options > div {
    display: flex;
    column-gap: 20px;
}

.start_options > div > div:first-child {
    background: #fff;
    border: 2px solid #EAEAEA;
}

.start_upload_link {
    width: 100%;
    margin-top: 30px;
}

.start .card {
    display: flex;
    flex-direction: column;
    align-items: center;
    text-align: center;
    background: #EAEAEA;
    width: 250px;
    max-width: 250px;
    padding: 30px;
    font-size: 12px;
    box-sizing: border-box;
    cursor: pointer;
}

.start .card > h3 {
    margin: 10px 0px;
}

.login {
    display: flex;
    align-items: center;
    justify-content: center;
    flex: 1 1 auto;
    font-size: 12px;
}

.login > div {
    display: flex;
    flex-direction: column;
    row-gap: 20px;
    min-width: 400px;
}

.login_register {
    background: #82e982;
}

.login_register:hover {
    background: #7ed97e;
}

.login_field {
    display: flex;
    flex-direction: column;
    row-gap: 10px;
}

.login_divider {
    border-bottom: 1px solid #e2e2e2;
}

.login_center {
    align-self: center;
}

.register {
    display: flex;
    align-items: center;
    justify-content: center;
    flex: 1 1 auto;
    font-size: 12px;
}

.register > div {
    display: flex;
    flex-direction: column;
    row-gap: 20px;
    min-width: 400px;
}

.register_header {
    text-align: center;
    font-size: 16px;
    margin-bottom: 20px;
}

.register_staus {
    text-align: center;
    row-gap: 80px !important;
}

.project {
    display: flex;
    justify-content: center;
    flex: 1 1 auto;
    font-size: 12px;
}

.project > div {
    display: flex;
    flex-direction: column;
}

.project_whiteboard {
    display: flex;
    flex: 1 1 auto;
    border: 1px solid #ccc;
    border-radius: 8px;
    position: relative;
    overflow: hidden;
}

.project_whiteboard > canvas {
    position: absolute;
    border-radius: 8px;
    background: #f9f9f9;
}

.project_view {
    display: flex;
    flex-direction: column;
    flex: 1 1 auto;
    row-gap: 10px;
}

.project_view_header {
    display: flex;
    flex-direction: column;
    row-gap: 10px;
}

.project_view_header > h1 {
    margin: unset;
    padding: unset;
}

.project_view_input_header {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}

.project_view_menu {
    display: flex;
    align-items: center;
}

.project_view_menu_order {
    display: flex;
    flex-grow: 1;
    justify-content: end;
}

.project_view > div:first-child > input {
    width: 450px;
}

.project_view_work_mode {
    display: flex;
    column-gap: 5px;
}

.project_view_work_mode > div {
    height: 24px;
    cursor: pointer;
}

.project_explore {
    margin: 10px 0px;
    display: flex;
    flex-direction: column;
    row-gap: 5px;
    width: 450px;
}

.project_explore > .card {
    border: 1px solid #ddd;
    border-radius: 8px;
    padding: 20px;
    font-weight: bold;
    cursor: pointer;
    user-select: none;
    display: flex;
    align-items: center;
    column-gap: 10px;
}

.project_explore > .card:hover {
    border-color: #000;
}

.card_icon {
    width: 32px;
    height: 32px;
}

.project_edit {
    display: flex;
    flex-direction: column;
    width: 450px;
    margin-bottom: 20px;
}

.project_edit > .group {
    display: flex;
    flex-direction: column;
    border: 1px solid #ddd;
    border-radius: 8px;
    padding: 10px;
    row-gap: 5px;
}

.project_edit > .group > div {
    color: #888;
}

.project_edit > .group > textarea {
    resize: none;
}

.project_edit_button {
    margin-bottom: 5px;
}

.edit_card {
    position: absolute;
    display: flex;
    flex-direction: column;
    background: #fff;
    padding: 10px;
    border-radius: 8px;
    border: 2px solid #000;
    box-shadow: 0px 0px 10px #0005;
    width: 250px;
    height: 295px;
}

.edit_card_menu {
    display: flex;
    justify-content: space-between;
    margin-bottom: 5px;
}

.edit_card_menu > div:first-child {
    display: flex;
}

.edit_card_menu > div {
    height: 24px;
    cursor: pointer;
}

.edit_card > .group {
    display: flex;
    flex-direction: column;
    row-gap: 10px;
    overflow: hidden;
}

.edit_card > .group > textarea {
    resize: none;
}

.edit_card > .group > .connection {
    display: flex;
    align-items: center;
    column-gap: 5px;
}

.selected_tag {
    border: 2px solid #e8e8e800;
    padding: 10px;
}

.unselected_tag {
    background: unset !important;
    border: 2px solid #e8e8e8;
    padding: 10px;
}

.add_tag {
    padding: 8px;
    white-space: nowrap;
}

.tag_filter {
    display: flex;
    column-gap: 5px;
}

.tag_list {
    display: flex;
    flex: 1 1 auto;
    overflow-y: auto;
    overflow-x: hidden;
}

.tag_list > div {
    display: flex;
    flex-direction: column;
    row-gap: 10px;
    flex: 1 1 auto;
}

.material {
    display: flex;
    flex: 1 1 auto;
    justify-content: center;
    font-size: 12px;
}

.material_explore {
    display: flex;
    flex-direction: column;
}

.material_view {
    display: flex;
    flex-direction: column;
    flex: 1 1 auto;
}

.material_choose_button {
    display: none;
}

.material_table {
    display: flex;
    flex-direction: column;
}

.material_row {
    display: flex;
}

.material_cell {
    display: flex;
    /*flex: 1 1 auto;*/
    /*border: 1px solid #ccc;*/
    padding: 5px;
}

.material_cell_small {
    max-width: 200px;
    min-width: 200px;
}

.material_column_option {
    flex: 1 1 auto;
    margin-bottom: 10px;
}

.material_row_option {
    width: 95px;
}

.material_header {
    display: flex;
    align-items: center;
    column-gap: 10px;
    margin-bottom: 30px;
}

.material_header > .icon {
    width: 64px;
}

.material_menu {
    display: flex;
    column-gap: 5px;
    margin-bottom: 30px;
}

.material_content_relative {
    position: relative;
    overflow: auto;
    display: flex;
    flex: 1 1 auto;
}

.material_content {
    position: absolute;
    flex: 1 1 auto;
    display: flex;
    flex-direction: column;
}

.material_content > .tab_container {
    display: flex;
}

.material_content > div > .tabs {
    display: flex;
    flex-direction: row;
    border: solid 1px #aaa;
}

.material_content > .sheet_container > .sheet {
    border: solid 1px #aaa;
    padding: 20px;
    background: #eee;
}

.tab_item {
    padding: 5px 10px;
    cursor: pointer;
}

.tab_item_active {
    font-weight: bold;
}

.tab_item:hover {
    background: #ccc;
}

.tab_item + .tab_item {
    border-left: solid 1px #aaa;
}

.mode_grid_container {
    position: relative;
    overflow: auto;
}

.mode_grid_groups {
    position: absolute;
    display: flex;
    flex-direction: column;
    row-gap: 10px;
}

.mode_grid_group {
    display: flex;
    column-gap: 10px;
}

.mode_grid_group > div {
    display: flex;
    flex-direction: column;
    min-width: 300px;
    max-width: 300px;
    font-size: 16px;    
    padding: 20px;
    background: #f0f0f0;
    border-radius: 10px;
    row-gap: 10px;
}

.mode_grid_column_header {
    min-height: 20px;
    font-weight: bold;
    margin-bottom: 10px;
}

.mode_grid_column_card {
    position: relative;
    min-height: 20px;    
    padding: 10px;
    background: #fff;
    border-radius: 10px;
    font-size: 14px;
}

.mode_grid_column_card > div:first-child {
    font-weight: bold;
}

.mode_grid_column_card > div:last-child {
    margin-top: 5px;
    font-size: 10px;
    color: #aaa;
}

.mode_grid_column_card_edit {
    position: absolute;
    right: 5px;
    top: 5px;
    cursor: pointer;
    background: inherit;
    display: none;
    padding: 5px;
}

.mode_grid_column_card:hover .mode_grid_column_card_edit {
    display: block;
}

.explore {
    display: flex;
    column-gap: 30px;
    flex: 1 1 auto;
    overflow: hidden;
}

.explore > div:first-child {
    display: flex;
    flex-direction: column;
    row-gap: 20px;
    border-right: 1px solid #ddd;
    padding-right: 30px;
    width: 350px;
    min-width: 350px;
}

.explore > div:last-child {
    display: flex;
    flex: 1 1 auto;
}

.explore_search {
    display: flex;
    column-gap: 5px;
}

.explore_search_button {
    padding: 10px;
}

.explore_search_list {
    flex: 1 1 auto;
    display: flex;
    flex-direction: column;
    row-gap: 10px;
    overflow: auto;
}

.explore_details_list {
    flex: 1 1 auto;
    display: flex;
    flex-direction: column;
    row-gap: 10px;
    overflow: auto;
}

.explore_search_list_group {
    display: flex;
    flex-direction: column;
    column-gap: 10px;
    cursor: pointer;
    user-select: none;
    margin-left: 10px;
}

.explore_search_list_project {
    display: flex;
    flex-direction: column;
    row-gap: 5px;
}

.explore_search_list_project > div:first-child {
    display: flex;
    column-gap: 10px;
}

.explore_search_list_project > div:first-child:hover {
    color: #666;
}

.explore_search_list_project > div:first-child > div:nth-child(2) {
    cursor: pointer;
}

.explore_search_list_group:hover {
    color: #666;
}

[data-selected="true"] {
    font-weight: bold;
}

[data-highlighted="true"] {
    font-weight: bold;
    text-decoration: underline;
}

div [data-collapsed="true"] > div:nth-child(2) {
    content-visibility: hidden;
}

.explore_search_list_group > div:first-child {
    display: flex;
    column-gap: 10px;
    margin-top: 10px;
    margin-bottom: 10px;
}

.explore_search_list_group > div:nth-child(2) {
    display: flex;
    flex-direction: column;
    margin-left: 30px;
    row-gap: 5px;
}

.explore_card {
    display: flex;
    flex-direction: column;
    padding: 10px;
    margin-right: 10px;
    border-radius: 5px;
    row-gap: 5px;
    background: #fff;
    border: 1px solid #ddd;
    cursor: pointer;
    color: #000;
}

.explore_card_meta {
    display: flex;
    column-gap: 5px;
    font-size: 12px;
    margin-top: 5px;
    color: #999;
    white-space: pre;
    flex-wrap: wrap;
}

[data-selected="true"] .explore_card_meta {
    color: #666;
}

.explore_card_node {
    display: flex;
    flex-direction: column;
    row-gap: 5px;
}

.explore_card_node_label {
    display: flex;
    align-items: center;
    column-gap: 10px;
}

.explore_card_node_label [data-selected="true"] {
    background: #ddd;
    font-weight: unset;
}

.explore_card_children {
    display: flex;
    flex-direction: column;
    margin-left: 50px;
}

.explore_card:hover {
    background: #ccc;
}

.explore_card_path {
    display: flex;
    font-size: 12px;
    overflow: hidden;
    font-weight: bold;
    flex-wrap: wrap;
}

.explore_card_path > div:not(:first-child)::before {
    content: " / ";
    padding-left: 3px; 
}

.explore_card_path > div {
    white-space: nowrap;
    text-overflow: ellipsis;
    overflow: hidden;
}

.explore_work_mode {
    display: flex;
    column-gap: 5px;
}

.explore_work_mode > div {
    height: 24px;
    cursor: pointer;
    padding: 2px;
}

.save_container {
    position: absolute;
    width: 300px;
    height: 50px;
    left: calc(50% - 150px);
    top: 50px;
    background: #222;
    border-radius: 16px;
    display: flex;
    justify-content: center;
    align-items: center;
    color: white;
    font-size: 16px;
    flex-direction: row;
    column-gap: 10px;
}

.save_indicator {
    border: 4px solid #c9c9c9;
    border-top: 4px solid #386479; 
    border-radius: 50%;
    min-width: 8px;
    min-height: 8px;
    width: 8px;
    height: 8px;
    animation: spin 1500ms ease-in-out infinite;
}

@keyframes spin {
    0% { transform: rotate(0deg); }
    100% { transform: rotate(360deg); }
}